/**
 * 
 */
package org.ccpit.business.serviceNetWork;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import org.hibernate.annotations.Where;

/**
 * Company Name : 中贸促信息技术有限责任公司 Project Name:memberManageSys File
 * Name:DownloadFileController.java Package Name:ccpit.base.controller Date:
 * 2017年4月24日 下午3:07:50 Copyright (c) 2016, liyang@ccpit.org All Rights
 * Reserved.
 *
 */
@Entity
@Where(clause = "deleted='false'")
@Table(name = "sfzx_ServiceNetWork")
public class ServiceNetWork {

	@Id
	private long id;

	/**
	 * 网点名称
	 */
	private String name;
	/**
	 * 网点名称
	 */
	private String linkAddress;
	/**
	 * 网站名称
	 */
	private String webSiteName;
	/**
	 * 网址
	 */
	private String webSiteAddress;
	/**
	 * 网点电话
	 */
	private String tel;
	/**
	 * 联系人
	 */
	private String contacts;

	/**
	 * 是否删除
	 */
	private String parentId;

	/**
	 * 是否删除
	 */
	private boolean deleted;

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLinkAddress() {
		return linkAddress;
	}

	public void setLinkAddress(String linkAddress) {
		this.linkAddress = linkAddress;
	}

	public String getWebSiteName() {
		return webSiteName;
	}

	public void setWebSiteName(String webSiteName) {
		this.webSiteName = webSiteName;
	}

	public String getWebSiteAddress() {
		return webSiteAddress;
	}

	public void setWebSiteAddress(String webSiteAddress) {
		this.webSiteAddress = webSiteAddress;
	}

	public String getTel() {
		return tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public boolean isDeleted() {
		return deleted;
	}

	public void setDeleted(boolean deleted) {
		this.deleted = deleted;
	}

	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

}
